Bug 227798 - devel/gdb (Possibly indirect) dependency on libmpfr.so (math/mpfr) is missing
Summary: devel/gdb (Possibly indirect) dependency on libmpfr.so (math/mpfr) is missing
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Luca Pizzamiglio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-26 22:59 UTC by Philippe Michel
Modified: 2018-05-02 13:08 UTC (History)
0 users

See Also:
pizzamig: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Michel 2018-04-26 22:59:47 UTC
Existing installation of ports/gdb is broken since the recent math/mpfr update:

Shared object "libmpfr.so.4" not found, required by "gdb"
Comment 1 Luca Pizzamiglio freebsd_committer 2018-04-30 08:11:38 UTC
Hi.

Can you please give me more information?

which FreeBSD version?
are you using packages or ports?

the output of ldd /usr/local/bin/gdb would be useful as well
Comment 2 Philippe Michel 2018-04-30 13:36:54 UTC
I am using the port on 11.1-STABLE.

ldd output is:
/usr/local/bin/gdb:
	libreadline.so.7 => /usr/local/lib/libreadline.so.7 (0x801d81000)
	libncursesw.so.8 => /lib/libncursesw.so.8 (0x801fd1000)
	libutil.so.9 => /lib/libutil.so.9 (0x802230000)
	libm.so.5 => /lib/libm.so.5 (0x802444000)
	libexpat.so.1 => /usr/local/lib/libexpat.so.1 (0x802670000)
	liblzma.so.5 => /usr/lib/liblzma.so.5 (0x80289a000)
	libmpfr.so.6 => /usr/local/lib/libmpfr.so.6 (0x802ac4000)
	libkvm.so.7 => /lib/libkvm.so.7 (0x802d3c000)
	libc++.so.1 => /usr/lib/libc++.so.1 (0x802f4a000)
	libcxxrt.so.1 => /lib/libcxxrt.so.1 (0x80321a000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x80343a000)
	libc.so.7 => /lib/libc.so.7 (0x803649000)
	libthr.so.3 => /lib/libthr.so.3 (0x8039f5000)
	libgmp.so.10 => /usr/local/lib/libgmp.so.10 (0x803c1d000)
	libelf.so.2 => /lib/libelf.so.2 (0x803e9e000)
but I rebuilt the port since I had the problem and the dependency before that was libmpfr.so.4, from the mpfr port version at gdb's build time.


According to the gdb release notes :

January 31st, 2018: GDB 8.1 Released!
    Changes in this release include:
        [...]
        Target floating-point arithmetic emulation during expression evaluation (requires MPFR 3.1 or later); 

It seems the last point was missed when the port was updated to 8.1. I suppose I was unlucky to already have the mpfr port for other reasons as otherwise gdb's autoconf would have silently skipped this feature...

Anyway, from version 8.1 on, the port needs to take care of this (and possibly provide an option to disable the feature ?)
Comment 3 commit-hook freebsd_committer 2018-05-02 13:05:09 UTC
A commit references this bug:

Author: pizzamig
Date: Wed May  2 13:04:53 UTC 2018
New revision: 468827
URL: https://svnweb.freebsd.org/changeset/ports/468827

Log:
  devel/gdb: Add mpfr as dependency

  Add mpfr as dependency to emulate target floating-point arithmetic during
  expression evaluation when the target uses different floating-point
  formats than the host

  PR:		227798
  Reported by:	philippe.michel7@sfr.fr

Changes:
  head/devel/gdb/Makefile
Comment 4 Luca Pizzamiglio freebsd_committer 2018-05-02 13:08:14 UTC
Hi.
I've added mpfr as dependency.

Doing so, gdb is always able to emulate target floating-point arithmetic during expression evaluation when the target uses different floating-point formats than the host

Thanks for reporting.